[arch-commits] Commit in cryptsetup/trunk (PKGBUILD)

Thomas Baechler thomas at archlinux.org
Fri Sep 12 12:36:49 EDT 2008


    Date: Friday, September 12, 2008 @ 12:36:48
  Author: thomas
Revision: 12303

upgpkg: cryptsetup 1.0.6-2

Modified:
  cryptsetup/trunk/PKGBUILD

----------+
 PKGBUILD |   11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-09-12 16:22:54 UTC (rev 12302)
+++ PKGBUILD	2008-09-12 16:36:48 UTC (rev 12303)
@@ -2,7 +2,7 @@
 # Maintainer: Judd Vinet <jvinet at zeroflux.org>
 pkgname=cryptsetup
 pkgver=1.0.6
-pkgrel=1
+pkgrel=2
 pkgdesc="Userspace setup tool for transparent encryption of block devices using the Linux 2.6 cryptoapi"
 arch=(i686 x86_64)
 license=('GPL')
@@ -13,16 +13,19 @@
 source=(http://luks.endorphin.org/source/cryptsetup-$pkgver.tar.bz2
         encrypt_hook
 	encrypt_install
-	luksOpen-status.patch)
+	luksOpen-status.patch
+	fix-udevsettle-call.patch)
 md5sums=('00d452eb7a76e39f5749545d48934a10'
          '40fee2419cd444cfb283c311f9555d2d'
          '24b76e9cb938bc3c8dcff396cbab28c7'
-         'd4be8d2059d5427c057be4de4e948887')
+         'd4be8d2059d5427c057be4de4e948887'
+         '9c62a0fdc8e579ff3a8dc11c884a4c3c')
 
 build() {
   cd $startdir/src/$pkgname-$pkgver
   # suppress "Command successful" message on luksOpen
-  patch -p1 -i $startdir/src/luksOpen-status.patch
+  patch -p1 -i $startdir/src/luksOpen-status.patch || return 1
+  patch -p1 -i $startdir/src/fix-udevsettle-call.patch || return 1
   ./configure --prefix=/usr --disable-static
   make || return 1
   make DESTDIR=$startdir/pkg install




More information about the arch-commits mailing list